Main Page Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members Related Pages

# ORB_Core.h File Reference

ORB_Core.h,v 1.215 2002/05/09 17:00:35 bala Exp. More...

`#include "ace/pre.h"`
`#include "corbafwd.h"`
`#include "ORB.h"`
`#include "Environment.h"`
`#include "Policy_Manager.h"`
`#include "Resource_Factory.h"`
`#include "params.h"`
`#include "TAO_Singleton_Manager.h"`
`#include "TAO_Singleton.h"`
`#include "Adapter.h"`
`#include "PolicyFactory_Registry.h"`
`#include "Parser_Registry.h"`
`#include "Service_Callbacks.h"`
`#include "Fault_Tolerance_Service.h"`
`#include "Cleanup_Func_Registry.h"`
`#include "Object_Ref_Table.h"`
`#include "PortableInterceptorC.h"`
`#include "Interceptor_List.h"`
`#include "PICurrent.h"`
`#include "Protocols_Hooks.h"`
`#include "ace/Hash_Map_Manager.h"`
`#include "ace/Thread_Manager.h"`
`#include "ace/post.h"`

Include dependency graph for ORB_Core.h:

This graph shows which files directly or indirectly include this file:

## Compounds
class | TAO_ORB_Core
| Encapsulates the state of an ORB. More...
class | TAO_ORB_Core_Auto_Ptr
| Define a TAO_ORB_Core auto_ptr class. More...
class | TAO_ORB_Core_TSS_Resources
| The TSS resoures of an ORB core. More...
class | TAO_TSS_Resources
| The TSS resoures shared by all the ORBs. More...
## Typedefs
typedef TAO_TSS_Singleton< TAO_TSS_Resources, TAO_SYNCH_MUTEX > | TAO_TSS_RESOURCES
## Functions
TAO_Export TAO_ORB_Core * | TAO_ORB_Core_instance (void)
| Obtain an instance of the first ORB core registered in the ORB table. More...

## Detailed Description

ORB_Core.h,v 1.215 2002/05/09 17:00:35 bala Exp.

Author:
  DOC Center - Washington University at St. Louis , DOC Laboratory - University of California at Irvine

## Typedef Documentation

typedef TAO_TSS_Singleton<TAO_TSS_Resources, TAO_SYNCH_MUTEX> TAO_TSS_RESOURCES

| Todo: TAO_TSS_RESOURCES singleton typedef should go away.

## Function Documentation

TAO_Export TAO_ORB_Core* TAO_ORB_Core_instance | ( | void |  | ) |

| Obtain an instance of the first ORB core registered in the ORB table.